import * as web3 from '@solana/web3.js';
export declare type SwapInstructionAccounts = {
    treasuryMint: web3.PublicKey;
    payer: web3.PublicKey;
    paymentAccount: web3.PublicKey;
    paymentTransferAuthority: web3.PublicKey;
    token: web3.PublicKey;
    tokenMint: web3.PublicKey;
    replacementTokenMetadata: web3.PublicKey;
    replacementTokenMint: web3.PublicKey;
    replacementToken: web3.PublicKey;
    transferAuthority: web3.PublicKey;
    tokenAEscrow: web3.PublicKey;
    tokenBEscrow: web3.PublicKey;
    entangledPair: web3.PublicKey;
};
export declare function createSwapInstruction(accounts: SwapInstructionAccounts): web3.TransactionInstruction;
