import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare type UpdateEntangledPairInstructionArgs = {
    price: beet.bignum;
    paysEveryTime: boolean;
};
export declare type UpdateEntangledPairInstructionAccounts = {
    authority: web3.PublicKey;
    newAuthority: web3.PublicKey;
    entangledPair: web3.PublicKey;
};
export declare function createUpdateEntangledPairInstruction(accounts: UpdateEntangledPairInstructionAccounts, args: UpdateEntangledPairInstructionArgs): web3.TransactionInstruction;
